Subject: [bug#71372] [PATCH] gnu: linux-libre: Add 6.9-riscv.conf

From: Zheng Junjie <[email-masked]>
Date: Thu, 06 Jun 2024 18:43:52 +0800

Guillaume Le Vaillant <[email-masked]> writes:

> Zheng Junjie <[email-masked]> skribis:
>
>> Guillaume Le Vaillant <[email-masked]> writes:
>>
>>> Zheng Junjie <[email-masked]> skribis:
>>>
>>>> * gnu/packages/aux-files/linux-libre/6.9-riscv.conf: New file.
>>>> * Makefile.am (AUX_FILES): Register it.
>>>>
>>>> [...]
>>>> +#
>>>> +# NVME Support
>>>> +#
>>>> +CONFIG_NVME_KEYRING=y
>>>> +CONFIG_NVME_CORE=y
>>>> +# CONFIG_BLK_DEV_NVME is not set
>>>> [...]
>>>
>>> Hi.
>>> If CONFIG_BLK_DEV_NVME is not set, wouldn't that prevent the kernel from
>>> seeing the NVME drive (as /dev/nvme* will not appear)?
>>> Or is it disabled on purpose because it doesn't work well yet?
>>
>> I'm not familiar with kernel options, so just i no set them, But in
>> Visionfive 2 when I enabled it, I couldn't see /dev/nvme* either.
>
> Ok. Maybe some other options will be necessary to activate NVME drive
> support. But we can try that later, and not delay merging this patch
> adding the missing RISC-V kernel configuration.
thanks, i push.
https://git.savannah.gnu.org/cgit/guix.git/commit/?id=4ae4311b31f1687714a01196a20bdc8b5c2a5843

Keep open to discuss missing riscv kernel configuration.